Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.jest
Enum MetamodelHelper.AttributeCategory

    java.lang.Object
      java.lang.Enum<MetamodelHelper.AttributeCategory>
          org.apache.openjpa.persistence.jest.MetamodelHelper.AttributeCategory

All Implemented Interfaces:
  Serializable, Comparable<MetamodelHelper.AttributeCategory>

Enclosing class:
  MetamodelHelper

    public static enum MetamodelHelper.AttributeCategory

extends Enum<MetamodelHelper.AttributeCategory>

Attribute Category makes a finer distinction over PersistentAttributeType declared in `Attribute.PersistentAttributeType` such as id, version, lob or enum.
Important: The name of the enumerated elements is important because a) some of these names are same as in Attribute.PersistentAttributeType enumeration b) names are used by XML serialization with underscores replaced by dash and decapitalized

Enum Constant Summary
`BASIC`
`ELEMENT_COLLECTION`
`EMBEDDED`
`ENUM`
`ID`
`LOB`
`MANY_TO_MANY`
`MANY_TO_ONE`
`ONE_TO_MANY`
`ONE_TO_ONE`
`VERSION`

Method Summary
`static MetamodelHelper.AttributeCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetamodelHelper.AttributeCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ID

    public static final MetamodelHelper.AttributeCategory ID

### VERSION

    public static final MetamodelHelper.AttributeCategory VERSION

### BASIC

    public static final MetamodelHelper.AttributeCategory BASIC

### ENUM

    public static final MetamodelHelper.AttributeCategory ENUM

### EMBEDDED

    public static final MetamodelHelper.AttributeCategory EMBEDDED

### LOB

    public static final MetamodelHelper.AttributeCategory LOB

### ONE_TO_ONE

    public static final MetamodelHelper.AttributeCategory ONE_TO_ONE

### MANY_TO_ONE

    public static final MetamodelHelper.AttributeCategory MANY_TO_ONE

### ONE_TO_MANY

    public static final MetamodelHelper.AttributeCategory ONE_TO_MANY

### ELEMENT_COLLECTION

    public static final MetamodelHelper.AttributeCategory ELEMENT_COLLECTION

### MANY_TO_MANY

    public static final MetamodelHelper.AttributeCategory MANY_TO_MANY

Method Detail

### values

    public static MetamodelHelper.AttributeCategory[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MetamodelHelper.AttributeCategory c : MetamodelHelper.AttributeCategory.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MetamodelHelper.AttributeCategory valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.